Vehicle RC Basic Verification API
Verify a vehicle registration number and get owner name, registration date, and vehicle class. Lightweight RC check with async delivery.
curl -X POST "https://production.deepvue.tech/v1/verification/post-vehicle-rc?rc_number=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/verification/post-vehicle-rc?rc_number=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/verification/post-vehicle-rc?rc_number=example_string", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://production.deepvue.tech/v1/verification/post-vehicle-rc?rc_number=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/verification/post-vehicle-rc?rc_number=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"request_id": "26525fd1-e48e-4016-952d-387b78086ece"
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
{
"detail": "Internal Server Error"
}
{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}
/v1/verification/post-vehicle-rc
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
Responses
Overview
The Vehicle Registration Verification API establishes a connection between vehicles and their owners to reduce fraud risk. It enables confident onboarding of both vehicles and individuals by confirming genuine vehicle registration through the RTO (Regional Transport Office) and linking ownership details.
This asynchronous API accepts a vehicle registration number as input and returns a request_id for tracking. Results are delivered via webhook to your servers, or you can retrieve them using the corresponding result endpoint.
Upon successful submission, you receive a request_id that you can use with the Get Vehicle RC Result endpoint to retrieve the verification outcome.
Last updated 4 weeks ago
Built with Documentation.AI